org.apache.tinkerpop.gremlin.server.authz

## Class AuthorizationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.tinkerpop.gremlin.server.authz.AuthorizationException

- All Implemented Interfaces:
    Serializable

      public class AuthorizationException
      extends Exception

  An exception that occurs during authorization, i.e. when a requested resource needed for a response to an evaluation request is not allowed for this user.
  Author:
    Marc de Lignie
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorizationException()`
    `AuthorizationException(String message)`
    `AuthorizationException(String message, Throwable cause)`
    `AuthorizationException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
    `AuthorizationException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorizationException

          public AuthorizationException()

    - #### AuthorizationException

          public AuthorizationException(String message)

    - #### AuthorizationException

          public AuthorizationException(String message,
                                        Throwable cause)

    - #### AuthorizationException

          public AuthorizationException(Throwable cause)

    - #### AuthorizationException

          public AuthorizationException(String message,
                                        Throwable cause,
                                        boolean enableSuppression,
                                        boolean writableStackTrace)

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.